Bug 883533 (CVE-2012-5688)

Summary: CVE-2012-5688 bind: DoS on servers using DNS64
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: atkac, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121204,reported=20121204,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/bind=affected,rhel-6/bind=affected,rhel-5/bind=notaffected,rhel-5/bind97=notaffected,rhel-4/bind=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-17 14:50:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 883538, 883539, 883540    
Bug Blocks: 883535    
Attachments:
Description Flags
patch to correct the flaw none

Description Vincent Danen 2012-12-04 15:13:47 EST
It was reported that BIND versions 9.8.0 and higher suffered from a flaw in the DNS64 IPv6 transition mechanism.  A crafted query could be sent to the server and cause it to crash with a REQUIRE assertion failure.

DNS64 support was added in BIND 9.8.0, so earlier versions are not affected by this flaw.  As well, nameservers are only affected if DNS64 support is enabled via the "dns64" configuration statement in named.conf.  This is not enabled in the default configuration provided by Red Hat Enterprise Linux 6 or Fedora.


External References:

https://kb.isc.org/article/AA-00828
Comment 1 Vincent Danen 2012-12-04 15:16:56 EST
Statement:

This issue did not affect the versions of bind as shipped with Red Hat Enterprise Linux 4 and 5, nor the versions of bind97 as shipped with Red Hat Enterprise Linux 5, as they did not include support for DNS64.
Comment 3 Vincent Danen 2012-12-04 15:18:19 EST
Created bind tracking bugs for this issue

Affects: fedora-all [bug 883538]
Comment 4 Vincent Danen 2012-12-04 18:10:20 EST
Created attachment 657814 [details]
patch to correct the flaw

Relevant bits from diffing 9.8.4 and 9.8.4-P1.
Comment 5 errata-xmlrpc 2012-12-06 15:34:39 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1549 https://rhn.redhat.com/errata/RHSA-2012-1549.html
Comment 6 Fedora Update System 2012-12-10 02:10:26 EST
bind-9.9.2-5.P1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-12-13 00:50:11 EST
bind-9.9.2-3.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-29 01:29:01 EST
bind-9.8.4-3.P1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.